import { NgModule }       from '@angular/core';
import { SharedModule } from '../shared/shared.module';
import * as Api from 'accounts-services-ui';
import { AccountBalanceRoutingModule } from './account-balance.routing.module';
import { AccountBalanceService } from './account-balance.service';
import { AccountBalanceComponent } from './account-balance.component';
import { PastDueAlertComponent } from './past-due-alert.component';


@NgModule({
	imports: [ 
		SharedModule, 
		AccountBalanceRoutingModule
	],
	declarations: [
    	AccountBalanceComponent,
    	PastDueAlertComponent
  	],
	exports: [
		AccountBalanceComponent,
		PastDueAlertComponent
	],
	providers: [ 
		Api.AccountApi,
		AccountBalanceService 
	]
})
export class AccountBalanceModule {}

// Note: if you want to public accountApi, please put it in client.module.ts
