import { Injectable } from '@angular/core';
import { Headers, Http } from '@angular/http';
import { Observable } from 'rxjs';
import * as Api from 'accounts-services-ui';


@Injectable()
export class AccountBalanceService {
      constructor(private http: Http, private accountApi: Api.AccountApi){ }
      
      /**
       * Get alert details of Account Balance
       * 
       * @param  {string}                                         utilityAccountId [description]
       * @return {Observable<Api.AccountBalanceAlertResponse>}                  [description]
       */
      getAlertDetails(utilityAccountId: string): Observable<Api.AccountBalanceAlertResponse> {
            return this.accountApi.getAccountBalanceAlertDetails(utilityAccountId);
      }
}
