import { NgModule }       from '@angular/core';
import { CommonModule }   from '@angular/common';
import { FormsModule, FormGroup, Validators, AbstractControl, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule, TranslateLoader, TranslateStaticLoader } from "ng2-translate";
import { BasicAccountInfoRoutingModule } from './basic-account-info.routing.module';
import { HttpModule, Http } from "@angular/http";
import { BasicAccountInfoService } from './basic-account-info.service';
import { BasicAccountInfoComponent } from './basic-account-info.component';

export function createTranslateLoader(http: Http) {
    return new TranslateStaticLoader(http, '/o/account-ui/assets/i18n', '.json');
}

@NgModule({
      imports: [ CommonModule,FormsModule, HttpModule, 
      TranslateModule.forRoot({
            provide: TranslateLoader,
            useFactory: (createTranslateLoader),
            deps: [Http]
        }),
      BasicAccountInfoRoutingModule, ReactiveFormsModule],
      declarations: [ BasicAccountInfoComponent ],
      exports: [ BasicAccountInfoComponent ],
      providers: [ BasicAccountInfoService ]
})
export class BasicAccountInfoModule {}
