import { Injectable } from '@angular/core';
import { NavOptions } from './nav-options';
import { Observable } from 'rxjs/Observable';
import { Subject } from 'rxjs/Subject';

@Injectable()
@Injectable()
export class NavOptionsService {

    private leftNavSubject = new Subject<NavOptions>();
    public leftNavObservable$ = this.leftNavSubject.asObservable();


    createLeftNav(isLeftNav:boolean, selectedPath?:string){
        const options = new NavOptions(isLeftNav, selectedPath);
        this.emitChange(options);
    }

    getObservable() {
        return this.leftNavObservable$;
    }

    reset(){
        const options = new NavOptions(false);
        this.leftNavSubject.next(options);
    }

    emitChange(options: NavOptions) {
        this.leftNavSubject.next(options);
    }
}