export class NavData {
    private data = {
        leftNav: [
            {
                pageName: "ACCOUNT",
                pageRoute: "#/overview",
                privatePage: true,
                selfServicePermissionCheck: false,
                title: "Overview",
            },		
            {
                pageName: "PAYMENT",
                pageRoute: "#/pay-my-bill",
                privatePage: true,
                selectedPath: "payments",
                selfServicePermissionCheck: true,
                title: "Payments",
                "children": [
                    {		
                        pageName: "PAYMENT",
                        pageRoute: "#/pay-my-bill",
                        privatePage: true,
                        title: "Pay my bill"
                    },
                    {
                        pageName: "PAYMENT",
                        pageRoute: "#/pay-my-bill/(payment-view:payment-method)",
                        privatePage: true,
                        title: "Payment methods"
                    },
                    {
                        pageName: "PAYMENT",
                        pageRoute: "#/pay-my-bill/(payment-view:auto-pay)",
                        privatePage: true,
                        title: "Auto pay"
                    },
                    {
                        pageName: "BILLING",
                        pageRoute: "#/bill-payment-history",
                        privatePage: true,
                        title: "Billing & payment history"
                    },
                    {		
                        pageName: "PAYMENT",
                        pageRoute: "#/payment-arrangements",
                        privatePage: true,
                        title: "Payment Arrangements"
                    }
                ]
            },
            {
                pageName: "ACCOUNT",
                pageRoute: "#/usage",
                privatePage: true,
                selfServicePermissionCheck: true,
                title: "Usage"	
            },	
            {
                pageName: "BILLING",
                pageRoute: "#/ebill-enrollment",
                privatePage: true,
                selectedPath: "options",
                selfServicePermissionCheck: true,
                title: "Options",
                "children": [
                    {		
                        pageName: "BILLING",
                        pageRoute: "#/ebill-enrollment",
                        privatePage: true,
                        title: "Paperless Billing"
                    },
                    {		
                        pageName: "BILLING",
                        pageRoute: "#/billing-budget",
                        privatePage: true,
                        title: "Budget billing"
                    },
                    {		
                        pageName: "ACCOUNT",
                        pageRoute: "#/dollar-help",
                        privatePage: true,
                        title: "Dollar Help"
                    },
                    {
                        pageName: "PAYMENT",
                        pageRoute: "#/pay-my-bill/(payment-view:autopay)",
                        privatePage: true,
                        title: "Auto pay"
                    }
                ]
            },		
            {
                pageName: "ACCOUNT",
                pageRoute: "#/user-pins",
                privatePage: true,
                selectedPath: "manage-accounts",
                selfServicePermissionCheck: true,
                title: "Manage Accounts",
                "children": [
                    {		
                        pageName: "ACCOUNT",
                        pageRoute: "#/user-pins",
                        privatePage: true,
                        title: "Manage Users"
                    },
                    {		
                        pageName: "ACCOUNT",
                        pageRoute: "#/account-text-alerts",
                        privatePage: true,
                        title: "Text Alerts"
                    },
                    {		
                        pageName: "SELFSERVICE",
                        pageRoute: "#/service-orders",
                        privatePage: true,
                        title: "Service Order History"
                    },
                    {		
                        pageName: "SELFSERVICE",
                        pageRoute: "#/gas-on-off",
                        privatePage: true,
                        title: "Turn my gas on/off"
                    }
                ]
            }	
        ]
    };
    
    getLeftNav() {
        return this.data.leftNav;
    }
}
