export class Alert {
    alertType:string;
    content:string;
    languageParams:Object;

    /**
     * An alert object that gets fed into the alerts component
     * 
     * @param alertType         success/info/warning/danger
     * @param content           i18n message to display
     * @param languageParams    params to inject into i18n message
     */
    constructor( alertType:string, content:string, languageParams?:Object) {
        this.alertType = alertType;
        this.content = content;
        this.languageParams = languageParams || {};
    }
}