import { Component, OnInit, Input } from '@angular/core';
import { LanguageService } from './language.service';
import { TranslateService } from 'ng2-translate';
import { Alert } from './alert';
import * as _ from "lodash";


@Component({
    selector: 'alerts',
    templateUrl: './alerts.component.html'
})
export class AlertsComponent  {
    private _alerts: Alert[];

    @Input()
    set alerts(alerts: Alert[]) {
        this._alerts = alerts;
    }

    get alerts():Alert[] { 
        const uniqueAlerts = _.uniqBy(this._alerts, 'content');
        return uniqueAlerts; 
    }
}