/* ---------------------------------------------------------------------------------------------------------
 * Name : Message
 * Title : Message Service
 * Author : 91070
 * Creation Date : Jan 15, 2017
 * Purpose : A DTO object
 * Functional Spec: SCC-89 Pay Bill w/ Credit Card (One-Time)
 * ----------------------------------------------------------------------------------------------------------
 */
import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { Observable } from 'rxjs/Observable';

@Injectable()
export class MessageService {

    private messageTriggeredSubject = new Subject<string>();

    messageObservable = this.messageTriggeredSubject.asObservable();

    /**
     * Subject a value when it coming
     * @param message - string
     * @return void
     */
    observer(message: string) {
        this.messageTriggeredSubject.next(message);
    }

}
