/* ---------------------------------------------------------------------------------------------------------
 * Name : PaymentSettings methods
 * Title : Export constants
 * Author : 91070
 * Creation Date : Jan 11, 2017
 * Purpose : Define general helper for payment UI
 * Functional Spec: SCC-89 Pay Bill w/ Credit Card (One-Time)
 * ----------------------------------------------------------------------------------------------------------
 */

export class Settings {
    public static MESSAGE_CONST = "MESSAGES";
    public static EMPTY_CONST = "";
    public static ZERO_CONST = "0";
    public static SAP_LENGTH : number = 12;
    public static CCB_LENGTH : number = 10;
    public static SAP : string = "SAP";
    public static CCB : string = "CCB";

    // --- return code of error message settings ------------------
    public static RC_SUCCESS: number = 0;
    public static RC_GENERIC_ERROR: number = 1;
    public static RC_UNKNOWN_SYSTEM_ERROR: number = 101;
    public static RC_UNKNOWN_ERROR_WHEN_INVOKING_SERVICE: number = 102;
    public static RC_NO_SERVICE_IMPLEMENTATION: number = 103;
    public static RC_UNABLE_DELETE_RECORD_IN_TABLE: number = 104;
    public static RC_INVALID_INPUT: number = 111;
    public static RC_INVALID_OUTPUT: number = 121;
    public static RC_NO_PERMISSION: number = 201;
    
    // --- application message keys -------------------------------
    public static MSG_KEY_SYSTEM_ERROR = 'application.message.system_error';
    public static MSG_KEY_GENERIC_ERROR = 'application.message.generic_error';
    public static MSG_KEY_GENERIC_SUCCESS = 'application.message.generic_success';
    public static MSG_KEY_HAS_NO_PERMISSION = 'application.message.has_no_permission';

	// --- date settings ------------------------------------------
    public static DATE_STRING_DEFAULT_8: string = "00000000";    // it means YYYYMMDD
    public static DATE_STRING_DEFAULT_10: string = "0000-00-00"; // it means YYYY/MM/DD
    public static DATE_DEFAULT_FORMAT: string = "MM/DD/YYYY";
    public static DATE_DASH_SYMBOL: string = "-";

    // --- page actions -------------------------------------------
    public static ACTION_VIEW: string = "VIEW";
    public static ACTION_ADD: string = "ADD";
    public static ACTION_UPDATE: string = "UPDATE";
    public static ACTION_DELETE: string = "DELETE";

    // --- company type -------------------------------------------
    public static COMPANY_AGC: string = "AGC";  // AL
    public static COMPANY_MGE: string = "MGE";  // MO
    public static COMPANY_LGC: string = "LGC";  // MO
}

